Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSurfaceOpening Class Reference
Surface

## Description

Represents a surface opening tool.

Inheritance diagram for GoSurfaceOpening:

## Public Member Functions
GoSurfaceOpeningAngle | GoSurfaceOpening_AngleMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Angle measurement object. More...
k64f | GoSurfaceOpening_AngleTolerance (GoSurfaceOpening tool)
| Gets the angle tolerance. More...
kBool | GoSurfaceOpening_AutoTiltEnabled (GoSurfaceOpening tool)
| Gets the enabled state of auto-tilt. More...
kStatus | GoSurfaceOpening_EnableAutoTilt (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of auto-tilt. More...
kStatus | GoSurfaceOpening_EnablePartialDetection (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of partial detection. More...
kStatus | GoSurfaceOpening_EnableRefRegions (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of reference regions. More...
kStatus | GoSurfaceOpening_EnableRegion (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of the tool region. More...
GoSurfaceOpeningLength | GoSurfaceOpening_LengthMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Length measurement object. More...
k64f | GoSurfaceOpening_LengthTolerance (GoSurfaceOpening tool)
| Gets the length tolerance. More...
k64f | GoSurfaceOpening_NominalAngle (GoSurfaceOpening tool)
| Gets the nominal angle. More...
k64f | GoSurfaceOpening_NominalLength (GoSurfaceOpening tool)
| Gets the nominal length. More...
k64f | GoSurfaceOpening_NominalRadius (GoSurfaceOpening tool)
| Gets the nominal radius. More...
k64f | GoSurfaceOpening_NominalWidth (GoSurfaceOpening tool)
| Gets the nominal width. More...
kBool | GoSurfaceOpening_PartialDetectionEnabled (GoSurfaceOpening tool)
| Gets the enabled state of partial detection. More...
GoSurfaceRegion2d | GoSurfaceOpening_RefRegionAt (GoSurfaceOpening tool, kSize index)
| Gets the reference region object at the specified index. More...
kSize | GoSurfaceOpening_RefRegionCount (GoSurfaceOpening tool)
| Gets the reference region count. More...
kBool | GoSurfaceOpening_RefRegionsEnabled (GoSurfaceOpening tool)
| Gets the enabled state of reference regions. More...
GoRegion3d | GoSurfaceOpening_Region (GoSurfaceOpening tool)
| Returns the region object for the tool. More...
kBool | GoSurfaceOpening_RegionEnabled (GoSurfaceOpening tool)
| Gets the enabled state of the tool region. More...
kStatus | GoSurfaceOpening_SetAngleTolerance (GoSurfaceOpening tool, k64f value)
| Sets the angle tolerance. More...
kStatus | GoSurfaceOpening_SetLengthTolerance (GoSurfaceOpening tool, k64f value)
| Sets the length tolerance. More...
kStatus | GoSurfaceOpening_SetNominalAngle (GoSurfaceOpening tool, k64f value)
| Sets the nominal angle. More...
kStatus | GoSurfaceOpening_SetNominalLength (GoSurfaceOpening tool, k64f value)
| Sets the nominal length. More...
kStatus | GoSurfaceOpening_SetNominalRadius (GoSurfaceOpening tool, k64f value)
| Sets the nominal radius. More...
kStatus | GoSurfaceOpening_SetNominalWidth (GoSurfaceOpening tool, k64f value)
| Sets the nominal width. More...
kStatus | GoSurfaceOpening_SetRefRegionCount (GoSurfaceOpening tool, kSize count)
| Sets the reference region count. More...
kStatus | GoSurfaceOpening_SetTiltXAngle (GoSurfaceOpening tool, k64f value)
| Sets the tilt X-angle. More...
kStatus | GoSurfaceOpening_SetTiltYAngle (GoSurfaceOpening tool, k64f value)
| Sets the tilt Y-angle. More...
kStatus | GoSurfaceOpening_SetWidthTolerance (GoSurfaceOpening tool, k64f value)
| Sets the width tolerance. More...
k64f | GoSurfaceOpening_TiltXAngle (GoSurfaceOpening tool)
| Gets the tilt X-angle. More...
k64f | GoSurfaceOpening_TiltYAngle (GoSurfaceOpening tool)
| Gets the tilt Y-angle. More...
GoSurfaceOpeningType | GoSurfaceOpening_Type (GoSurfaceOpening tool)
| Gets the surface opening type. More...
GoSurfaceOpeningWidth | GoSurfaceOpening_WidthMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Width measurement object. More...
k64f | GoSurfaceOpening_WidthTolerance (GoSurfaceOpening tool)
| Gets the width tolerance. More...
GoSurfaceOpeningX | GoSurfaceOpening_XMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening X measurement object. More...
GoSurfaceOpeningY | GoSurfaceOpening_YMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Y measurement object. More...
GoSurfaceOpeningZ | GoSurfaceOpening_ZMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Z measurement object. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

GoSurfaceOpeningAngle GoSurfaceOpening_AngleMeasurement | ( | GoSurfaceOpening | tool | ) |

Returns a GoSurfaceOpening Angle measurement object.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoSurfaceOpening Angle measurement.

k64f GoSurfaceOpening_AngleTolerance | ( | GoSurfaceOpening | tool | ) |

Gets the angle tolerance.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The angle tolerance (in degrees).

kBool GoSurfaceOpening_AutoTiltEnabled | ( | GoSurfaceOpening | tool | ) |

Gets the enabled state of auto-tilt.

Parameters

  tool | GoSurfaceOpening object.

Returns
  kTRUE if auto-tilt is enabled and kFALSE otherwise.

kStatus GoSurfaceOpening_EnableAutoTilt | ( | GoSurfaceOpening | tool,
|  | kBool | enable
| ) |  |

Sets the enabled state of auto-tilt.

Parameters

  tool | GoSurfaceOpening object.
  enable | kTRUE to enable auto-tilt and kFALSE to disable it.

Returns
  Operation status.

kStatus GoSurfaceOpening_EnablePartialDetection | ( | GoSurfaceOpening | tool,
|  | kBool | enable
| ) |  |

Sets the enabled state of partial detection.

Parameters

  tool | GoSurfaceOpening object.
  enable | kTRUE to enable partial detection and kFALSE to disable it.

Returns
  Operation status.

kStatus GoSurfaceOpening_EnableRefRegions | ( | GoSurfaceOpening | tool,
|  | kBool | enable
| ) |  |

Sets the enabled state of reference regions.

Parameters

  tool | GoSurfaceOpening object.
  enable | kTRUE to enable reference regions and kFALSE to disable it.

Returns
  Operation status.

kStatus GoSurfaceOpening_EnableRegion | ( | GoSurfaceOpening | tool,
|  | kBool | enable
| ) |  |

Sets the enabled state of the tool region.

Parameters

  tool | GoSurfaceOpening object.
  enable | kTRUE to enable the tool region and kFALSE to disable it.

Returns
  Operation status.

GoSurfaceOpeningLength GoSurfaceOpening_LengthMeasurement | ( | GoSurfaceOpening | tool | ) |

Returns a GoSurfaceOpening Length measurement object.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoSurfaceOpening Length measurement.

k64f GoSurfaceOpening_LengthTolerance | ( | GoSurfaceOpening | tool | ) |

Gets the length tolerance.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The length tolerance (in mm).

k64f GoSurfaceOpening_NominalAngle | ( | GoSurfaceOpening | tool | ) |

Gets the nominal angle.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The nominal angle (in degrees).

k64f GoSurfaceOpening_NominalLength | ( | GoSurfaceOpening | tool | ) |

Gets the nominal length.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The nominal length (in mm).

k64f GoSurfaceOpening_NominalRadius | ( | GoSurfaceOpening | tool | ) |

Gets the nominal radius.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The nominal radius (in mm).

k64f GoSurfaceOpening_NominalWidth | ( | GoSurfaceOpening | tool | ) |

Gets the nominal width.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The nominal width (in mm).

kBool GoSurfaceOpening_PartialDetectionEnabled | ( | GoSurfaceOpening | tool | ) |

Gets the enabled state of partial detection.

Parameters

  tool | GoSurfaceOpening object.

Returns
  kTRUE if partial detection is enabled and kFALSE otherwise.

GoSurfaceRegion2d GoSurfaceOpening_RefRegionAt | ( | GoSurfaceOpening | tool,
|  | kSize | index
| ) |  |

Gets the reference region object at the specified index.

Parameters

  tool | GoSurfaceOpening object.
  index | The index with which to retrieve a reference region.

Returns
  A GoSurfaceRegion2d object or kNULL if the index is invalid.

See also
  GoSurfaceOpening_RefRegionCount

kSize GoSurfaceOpening_RefRegionCount | ( | GoSurfaceOpening | tool | ) |

Gets the reference region count.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The count of reference regions.

kBool GoSurfaceOpening_RefRegionsEnabled | ( | GoSurfaceOpening | tool | ) |

Gets the enabled state of reference regions.

Parameters

  tool | GoSurfaceOpening object.

Returns
  kTRUE if reference regions are enabled and kFALSE otherwise.

GoRegion3d GoSurfaceOpening_Region | ( | GoSurfaceOpening | tool | ) |

Returns the region object for the tool.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoRegion3d object.

kBool GoSurfaceOpening_RegionEnabled | ( | GoSurfaceOpening | tool | ) |

Gets the enabled state of the tool region.

Parameters

  tool | GoSurfaceOpening object.

Returns
  kTRUE if the tool region is enabled and kFALSE otherwise.

kStatus GoSurfaceOpening_SetAngleTolerance | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the angle tolerance.

Parameters

  tool | GoSurfaceOpening object.
  value | The angle tolerance to set (in degrees).

Returns
  Operation status.

kStatus GoSurfaceOpening_SetLengthTolerance | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the length tolerance.

Parameters

  tool | GoSurfaceOpening object.
  value | The length tolerance to set (in mm).

Returns
  Operation status.

kStatus GoSurfaceOpening_SetNominalAngle | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the nominal angle.

Parameters

  tool | GoSurfaceOpening object.
  value | The nominal angle to set (in degrees).

Returns
  Operation status.

kStatus GoSurfaceOpening_SetNominalLength | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the nominal length.

Parameters

  tool | GoSurfaceOpening object.
  value | The nominal length to set (in mm).

Returns
  Operation status.

kStatus GoSurfaceOpening_SetNominalRadius | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the nominal radius.

Parameters

  tool | GoSurfaceOpening object.
  value | The nominal radius to set (in mm).

Returns
  Operation status.

kStatus GoSurfaceOpening_SetNominalWidth | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the nominal width.

Parameters

  tool | GoSurfaceOpening object.
  value | The nominal width to set (in mm).

Returns
  Operation status.

kStatus GoSurfaceOpening_SetRefRegionCount | ( | GoSurfaceOpening | tool,
|  | kSize | count
| ) |  |

Sets the reference region count.

Parameters

  tool | GoSurfaceOpening object.
  count | The reference region count to set.

Returns
  Operation status.

See also
  GO_SURFACE_OPENING_MAX_REF_REGIONS

kStatus GoSurfaceOpening_SetTiltXAngle | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the tilt X-angle.

Parameters

  tool | GoSurfaceOpening object.
  value | The tilt X-angle to set.

Returns
  Operation status.

kStatus GoSurfaceOpening_SetTiltYAngle | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the tilt Y-angle.

Parameters

  tool | GoSurfaceOpening object.
  value | The tilt Y-angle to set.

Returns
  Operation status.

kStatus GoSurfaceOpening_SetWidthTolerance | ( | GoSurfaceOpening | tool,
|  | k64f | value
| ) |  |

Sets the width tolerance.

Parameters

  tool | GoSurfaceOpening object.
  value | The width tolerance to set (in mm).

Returns
  Operation status.

k64f GoSurfaceOpening_TiltXAngle | ( | GoSurfaceOpening | tool | ) |

Gets the tilt X-angle.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The tilt X-angle.

k64f GoSurfaceOpening_TiltYAngle | ( | GoSurfaceOpening | tool | ) |

Gets the tilt Y-angle.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The tilt Y-angle.

GoSurfaceOpeningType GoSurfaceOpening_Type | ( | GoSurfaceOpening | tool | ) |

Gets the surface opening type.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The surface opening type.

GoSurfaceOpeningWidth GoSurfaceOpening_WidthMeasurement | ( | GoSurfaceOpening | tool | ) |

Returns a GoSurfaceOpening Width measurement object.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoSurfaceOpening Width measurement.

k64f GoSurfaceOpening_WidthTolerance | ( | GoSurfaceOpening | tool | ) |

Gets the width tolerance.

Parameters

  tool | GoSurfaceOpening object.

Returns
  The width tolerance (in mm).

GoSurfaceOpeningX GoSurfaceOpening_XMeasurement | ( | GoSurfaceOpening | tool | ) |

Returns a GoSurfaceOpening X measurement object.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoSurfaceOpening X measurement.

GoSurfaceOpeningY GoSurfaceOpening_YMeasurement | ( | GoSurfaceOpening | tool | ) |

Returns a GoSurfaceOpening Y measurement object.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoSurfaceOpening Y measurement.

GoSurfaceOpeningZ GoSurfaceOpening_ZMeasurement | ( | GoSurfaceOpening | tool | ) |

Returns a GoSurfaceOpening Z measurement object.

Parameters

  tool | GoSurfaceOpening object.

Returns
  A GoSurfaceOpening Z measurement.

kStatus GoSurfaceTool_SetSource | ( | GoSurfaceTool | tool,
|  | GoDataSource | source
| ) |  |
| inherited

Sets the data source.

Parameters

  tool | GoSurfaceTool object.
  source | GoDataSource object.

Returns
  Operation status.

kStatus GoSurfaceTool_SetXAnchor | ( | GoSurfaceTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the X-anchoring source.

Parameters

  tool | GoSurfaceTool object.
  id | The measurement ID of a valid X-anchoring source.

Returns
  Operation status.

kStatus GoSurfaceTool_SetYAnchor | ( | GoSurfaceTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the Y-anchoring source.

Parameters

  tool | GoSurfaceTool object.
  id | The measurement ID of a valid Y-anchoring source.

Returns
  Operation status.

kStatus GoSurfaceTool_SetZAnchor | ( | GoSurfaceTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the Z-anchoring source.

Parameters

  tool | GoSurfaceTool object.
  id | The measurement ID of a valid Z-anchoring source.

Returns
  Operation status.

GoDataSource GoSurfaceTool_Source | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the data source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The data source.

k32u GoSurfaceTool_SourceOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the data source option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The tool data source option at the given index, or k32U_MAX if an invalid index is given.

kSize GoSurfaceTool_SourceOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the data source option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The current tool data source option list count.

k32s GoSurfaceTool_XAnchor | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the current X-anchoring source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The X-anchoring source or -1 if no source is currently set.

kBool GoSurfaceTool_XAnchorEnabled | ( | GoSurfaceTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring.

Parameters

  tool | GoSurfaceTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoSurfaceTool_XAnchorOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the X-anchoring option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The X-anchoring option at the given index or k32U_MAX if invalid.

kSize GoSurfaceTool_XAnchorOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the X-anchoring option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The X-anchoring option list count.

k32s GoSurfaceTool_YAnchor | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the current Y-anchoring source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The Y-anchoring source or -1 if no source is currently set.

kBool GoSurfaceTool_YAnchorEnabled | ( | GoSurfaceTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring.

Parameters

  tool | GoSurfaceTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoSurfaceTool_YAnchorOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the Y-anchoring option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The Y-anchoring option at the given index or k32U_MAX if invalid.

kSize GoSurfaceTool_YAnchorOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the Y-anchoring option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The Y-anchoring option list count.

k32s GoSurfaceTool_ZAnchor | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the current Z-anchoring source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The Z-anchoring source or -1 if no source is currently set.

kBool GoSurfaceTool_ZAnchorEnabled | ( | GoSurfaceTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring.

Parameters

  tool | GoSurfaceTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoSurfaceTool_ZAnchorOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the Z-anchoring option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The Z-anchoring option at the given index or k32U_MAX if invalid.

kSize GoSurfaceTool_ZAnchorOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the Z-anchoring option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The X-anchoring option list count.

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |
| inherited

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |
| inherited

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |
| inherited

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |
| inherited

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |
| inherited

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |
| inherited

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h